- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# scaleway_user_data – Scaleway user_data management module

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Status

## Synopsis

- This module manages user_data on compute instances on Scaleway.
- It can be used to configure cloud-init for instance

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_timeout integer | Default: 30 | HTTP timeout to Scaleway API in seconds. aliases: timeout
api_token string |  | Scaleway OAuth token. aliases: oauth_token
api_url string | Default: "https://api.scaleway.com" | Scaleway API URL. aliases: base_url
query_parameters dictionary | Default: {} | List of parameters passed to the query string.
region - / required | Choices: ams1 EMEA-NL-EVS par1 EMEA-FR-PAR1 | Scaleway compute zone
server_id - / required |  | Scaleway Compute instance ID of the server
user_data - |  | User defined data. Typically used with `cloud-init`. Pass your cloud-init script here as a string
validate_certs boolean | Choices: no yes ← | Validate SSL certs of the Scaleway API.

## Notes

Note

- Also see the API documentation on https://developer.scaleway.com/
- If `api_token` is not set within the module, the following environment variables can be used in decreasing order of precedence `SCW_TOKEN`, `SCW_API_KEY`, `SCW_OAUTH_TOKEN` or `SCW_API_TOKEN`.
- If one wants to use a different `api_url` one can also set the `SCW_API_URL` environment variable.

## Examples

    - name: Update the cloud-init
      scaleway_user_data:
        server_id: '5a33b4ab-57dd-4eb6-8b0a-d95eb63492ce'
        region: ams1
        user_data:
          cloud-init: 'final_message: "Hello World!"'

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Remy Leone (@sieben)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.